NODE_IMAGE = "centos/7"

Vagrant.require_version ">= 2.2.6"

Vagrant.configure("2") do |config|
  
  config.vm.define "db-server-1" , primary: true do |subconfig|
    subconfig.vm.box = NODE_IMAGE
    subconfig.vm.hostname = "db-server-1"
    subconfig.vm.network "private_network", ip: "10.0.0.11"

    subconfig.vm.provision 'shell' do |s|
      ssh_pub_key = File.readlines("#{Dir.home}/.ssh/id_rsa.pub").first.strip
      s.inline = <<-SHELL
        echo #{ssh_pub_key} >> /home/vagrant/.ssh/authorized_keys
      SHELL
    end

  end

  config.vm.define "db-server-2" , primary: true do |subconfig|
    subconfig.vm.box = NODE_IMAGE
    subconfig.vm.hostname = "db-server-2"
    subconfig.vm.network "private_network", ip: "10.0.0.12"

    subconfig.vm.provision 'shell' do |s|
      ssh_pub_key = File.readlines("#{Dir.home}/.ssh/id_rsa.pub").first.strip
      s.inline = <<-SHELL
        echo #{ssh_pub_key} >> /home/vagrant/.ssh/authorized_keys
      SHELL
    end
  end

  config.vm.define "backup" do |subconfig|
    subconfig.vm.box = NODE_IMAGE
    subconfig.vm.hostname = "backup"
    subconfig.vm.network "private_network", ip: "10.0.0.20"
    subconfig.vm.provision 'shell' do |s|
      ssh_pub_key = File.readlines("#{Dir.home}/.ssh/id_rsa.pub").first.strip
      s.inline = <<-SHELL
        echo #{ssh_pub_key} >> /home/vagrant/.ssh/authorized_keys
      SHELL
    end
  end
end
